import os, glob
import inspect
from control.testing_functions import testing
from control.NN_preparation import *
import control.NN_class as NN
path = os.path.dirname(os.path.abspath(inspect.stack()[0][1]))
import numpy as np
# print(path)
from shutil import copyfile

# ---------------------------------------------------------
# ----------------------   USER INPUTS   ------------------
path_features = '/Users/patrickpaitz/Phd/code_testing/ANN/FILES/features/example/*.npy'
path_wave     = '/Users/patrickpaitz/Phd/code_testing/ANN/yourpath_traces/*.SAC'
path_wave0    = '/Users/patrickpaitz/Phd/code_testing/ANN/yourpath_traces/'
path_out      = '/Users/patrickpaitz/Phd/code_testing/ANN/RESULTS/waveforms/example/'
networks      = '/Users/patrickpaitz/Phd/code_testing/ANN/FILES/networks/0/example/example/*extr*.npz'
# classfile     = '/Users/patrickpaitz/Ann/CLASSTOOL/classified/ex1/ex1_classification.npy'
threshold = 1.0
# ---------------------------------------------------------
# ---------------------------------------------------------


if __name__ =='__main__':
    print('Copying good files from', path_wave, 'to', path_out)
    feats = np.zeros((1 , 18))
    for i in glob.glob(path_features):
        tmp = np.load(i).ravel()[None , :]
        feats = np.append(feats,tmp,axis=0)

    for i in range(feats.shape[-1]):
        feats[:, i] = feats[:, i] / np.max(feats[:, i])

    it = 0
    ii = 0
    print(glob.glob(path_features))
    for tmp0 in glob.glob(path_features):
            _, tail = os.path.split(tmp0)
            tail = tail.split('.npy')[0]
            tmp2 = (os.path.join(path_wave0, tail))
            iti = 1
            for Filename in glob.glob(networks):
                # x = None
                BPN, weights = NN.load_network(Filename)
                if iti ==1:
                    x = BPN.forwardpropagation(feats[ii].ravel())
                    iti += 1
                else:
                    x += BPN.forwardpropagation(feats[ii].ravel())
                    iti += 1
            x /= iti
            x = NN.quality_crite(x)
            print(x)
            if x <= threshold:
                x = False
            else:
                x = True
            if x == True:
                it += 1
                outfile = os.path.join(path_out, tail)
                copyfile(tmp2, outfile)

            ii += 1
    print(it, "'good' files copied to: \t", path_out)
