import numpy as np
import sys, glob, os
sys.path.append(os.path.abspath('..'))
from pathmaker import pathmaker
from obspy import read
from obspy.signal.freqattributes import spectrum
path1 = '/home/patrick/1Thesis/0FINAL/RESULTS/DP/traces_for_inversion/*'
import obspy
import matplotlib.pyplot as plt
# from    scipy.integrate import simps
import  scipy.integrate as integrate
    

fftcheck = True
if fftcheck==True: 
    stream = read(path1)
    stream = stream.normalize(global_max=False)

    trace = stream[2]
    stream = stream[0::50]


    # for trace in stream: 

    stream = stream.normalize(global_max=False)
    # plt.plot(x)
    # stream.plot(section=True, merge=False)
    # plt.show()

    trace = stream[2]
    trace2 = stream[2].copy()
    trace3 = stream[2].copy()

    x = spectrum(trace.data, 0.1, len(trace.data))[0:len(trace.data)/2]
    trace.data = x/np.max(x)

    # x2 = obspy.signal.filter.bandpass(trace2.data, 30, 40, 1, corners=3, zerophase=True)
    trace2.filter('bandpass', freqmin = 1/100., freqmax=1/50., corners=0, zerophase=True)
    x2 = spectrum(trace2.data, 0.1, len(trace2.data))[0:len(trace2.data)/2]
    trace2.data = x2/np.max(x2)

    #







    def FT(data): 
        return np.abs(np.fft.fft(data))**2, np.fft.fftfreq(data.size, 1.), np.argsort(np.fft.fftfreq(data.size, 1.))

    ft,x,i = FT(trace3.data)
    
    # ft = ft[x<=1/50.]
    # plt.plot(1/x[i>=0][x>=0],ft)
    # print len(trace.data), len(x[i>=0][x>=0])
    plt.plot(x[i>=0][x>0], trace.data[0::])
    # plt.plot(1/x[i>=0][x>0], trace2.data[0::])
    # print ft.size
    

    plt.figure()
    fmin = (1/100.)*0.9
    fmax = (1/50.)*1.1
    ft = ft[x>=fmin]
    x = x[x>=fmin]
    ft = ft[x<=fmax]
    x = x[x<=fmax]
    plt.plot(x, ft)
    N=18

    delta = (fmax-fmin)/N
    l     = []
    x2    = []

    for i in range(1, N+1):
            fmax_i = fmin+i*delta
            fmin_i = fmin+(i-1)*delta

            ft_i   = ft[fmin_i<=x]
            x2tmp  =  x[fmin_i<=x]

            ft_i   = ft_i[fmax_i>=x2tmp]
            print ft_i
            alpha  = integrate.simps(ft_i)/2
            l      = np.append(l,alpha)
            x2     = np.append(x2, fmin_i)
        # if normalize is True: 
    l = l/max(l)

    plt.figure()
    plt.plot(x2, np.array(l))

    plt.show()

ffts = False
if ffts == True:
    basepath = '/home/patrick/1Thesis/0FINAL/'
    features   = glob.glob(basepath+'/FILES/features/'+'/a11b/ft/*.npy')
    for i in range(2): 

        x = np.load(features[i])
        plt.plot(x)
    # plt.show()
    plt.figure()
    basepath = '/home/patrick/1Thesis/1VERSION01_/'
    features   = glob.glob(basepath+'/FILES/features/'+'/a11b/ft/*.npy')
    for i in range(2): 

        x = np.load(features[i])
        plt.plot(x)
    plt.show()
