import numpy as np
import glob
import sys
import os
import csv

metafile = '/home/patrick/1Thesis/wavemanipulation/File_Collerctor_overview.csv'

sys.path.append('../')
from pathmaker import pathmaker
proj = '/a11/'
type = '*.SAC'
path_raw, path_postprocessed, path_postproc_meta, path_synthetics, path_classifications_hand, path_classifications_synthetic, path_representations, path_subsets = pathmaker(type=type, project = proj)
path_raws = '/media/patrick/Data1/exch/Downloads/a10/a10data/*.mseed'

# print('PATHS, needs to be specified in pathmaker.py /paths/ \n raw \t\t %s \n postproc \t %s \n classifications %s \n representations %s \n subsets \t %s \n') % (path_raw, path_postprocessed, path_classifications_hand, path_representations, path_subsets)
    

def writer(path):
    files = np.array((glob.glob(path)))
    raw2 = files.copy()
    # print files
    for i in range(len(files)):
        files[i] = os.path.basename(files[i]).split('.LHZ')[0]
        raw2[i] = os.path.basename(raw2[i]).split('.LHZ')[0].split('00')[0].split('10')[0]
    print np.unique(raw2)
    print ('PROJECT OVERVIEW FOR PROJECT %s') % (proj)
    print ('RAW FILES:       \t\t %.0f\n'\
           'unique(chan):    \t\t %.0f\n'\
           'for station:     \t\t %.0f\n') %(len(files), len(np.unique(files)),len(np.unique(raw2)))
    # print np.unique(raw2)
    with open(metafile, 'a') as handle:
        writer = csv.writer(handle, delimiter='\t', dialect='excel')
        # writer.writerow(['PROJECT OVERVIEW'])
        writer.writerow(['RAW','project', 'N', 'N_chan', 'N_stat'])
        writer.writerow([' ',proj, len(files), len(np.unique(files)), len(np.unique(raw2))])

def writer2(path, delim = '.ccc', type = 'corr'):
    files = np.array((glob.glob(path)))
    raw2 = files.copy()

    for i in range(len(files)):
        files[i] = os.path.basename(files[i]).split(delim)[0]
        raw2[i] = os.path.basename(files[i]).split(delim)[0].split('.LHZ')[0].split('00')[0].split('10')[0].split('..')[0]
    # print np.unique(raw2)

    # print ('PROJECT OVERVIEW FOR PROJECT %s') % (proj)
    print ('CORR FILES:\t\t %.0f\n'\
           'for station\t\t %.0f\n') %(len(files), len(np.unique(raw2)))
    print np.unique(raw2)

    with open(metafile, 'a') as handle:
        writer = csv.writer(handle, delimiter='\t', dialect='excel')
        # writer.writerow(['PROJECT OVERVIEW'])
        writer.writerow([type,'project', 'N', 'N_chan', 'N_stat'])
        writer.writerow([' ',proj, len(files), len(np.unique(files)), len(np.unique(raw2))])
        # writer.writerow([' ',proj, len(np.unique(raw2)), ])




writer(path_raws)
writer2(path_raw, delim='.ccc', type='CORR')

proj = '/a11b/'
path_raw, path_postprocessed, path_postproc_meta, path_synthetics, path_classifications_hand, path_classifications_synthetic, path_representations, path_subsets = pathmaker(type=type, project = proj)
writer2(path_postprocessed, delim='.1', type='PoPr')

proj = '/a20/'
path_raws = '/media/patrick/Data1/exch/Downloads/a20/a20data2/a20/*.mseed'
path_raw, path_postprocessed, path_postproc_meta, path_synthetics, path_classifications_hand, path_classifications_synthetic, path_representations, path_subsets = pathmaker(type=type, project = proj)
# print('PATHS, needs to be specified in pathmaker.py /paths/ \n raw \t\t %s \n postproc \t %s \n classifications %s \n representations %s \n subsets \t %s \n') % (path_raw, path_postprocessed, path_classifications_hand, path_representations, path_subsets)
  
writer(path_raws)
writer2(path_raw, delim='.ccc', type='CORR')
writer2(path_postprocessed, delim='.1.', type='PoPr')



proj = '/glob/'
path_raw, path_postprocessed, path_postproc_meta, path_synthetics, path_classifications_hand, path_classifications_synthetic, path_representations, path_subsets = pathmaker(type=type, project = proj)
# print('PATHS, needs to be specified in pathmaker.py /paths/ \n raw \t\t %s \n postproc \t %s \n classifications %s \n representations %s \n subsets \t %s \n') % (path_raw, path_postprocessed, path_classifications_hand, path_representations, path_subsets)
  
# writer(path_raws)
writer2(path_raw, delim='.ccc', type='CORR')
writer2(path_postprocessed, delim='.1.', type='PoPr')


# print path_raw
# files = np.array((glob.glob(path_raw)))
# for i in range(len(files)):
#     files[i] = os.path.basename(files[i]).split('.ccca11')[0]

# print len(files)
