import numpy as np 
import pandas as pd
import sys, glob, os
import matplotlib.pyplot as plt
# RUN THIS THE WAY IT IS !
file = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/g*.csv'
outfile = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/1convergenceg.png'
file1 = glob.glob(file)[1]
print file1
print glob.glob(file)
df = pd.read_csv(file1, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()

alph = 0.7
ms = 40
m1 = '.'
m2 = '+'
m3 = 4
m4 = 5
f, ax = plt.subplots(1)
ax.scatter(df['Iter'], df['Errmean'],color='black', marker=m1, s = ms, label= 'WBFE n=394', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker=m2, s = ms,  label='FTFE  n=400', alpha=alph)
# ax.scatter(df['Iter'], df['Errmean'],color='black', marker='.', label='WBFE n=193', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker='.', label='FTFE  n=200', alpha=alph)

# print df 

file2 = glob.glob(file)[0]
print file2

df = pd.read_csv(file2, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


# f, ax = plt.subplots(1)
ax.scatter(df['Iter'], df['Errmean'],color='gray', marker=m3,  s = ms, label='WBFE n=992', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker=m4,  s = ms, label='FTFE  n=1000', alpha=alph)
# ax.scatter(df['Iter'], df['Errmean'],color='grey', marker='.', label= 'WBFE n=482', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker='.', label='FTFE  n=500', alpha=alph)
# print df 

ax.set_xlabel('Epochs')
ax.set_ylabel('Training Misfit $M$ $M$')
ax.set_xlim([0,8000])
ax.set_ylim([0, 0.3])
ax.set_title('Training Convergence, global, [60,30]')
plt.legend()
plt.grid()

f.savefig(outfile)



file = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/2g*.csv'
outfile = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/2convergenceg.png'
file1 = glob.glob(file)[1]
print file1
print glob.glob(file)
df = pd.read_csv(file1, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


f, ax = plt.subplots(1)
ax.scatter(df['Iter'], df['Errmean'],color='black', marker=m1, s = ms, label= 'WBFE n=394', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker=m2,s = ms,  label='FTFE  n=400', alpha=alph)
# ax.scatter(df['Iter'], df['Errmean'],color='black', marker='.', label='WBFE n=193', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker='.', label='FTFE  n=200', alpha=alph)

# print df 

file2 = glob.glob(file)[0]
print file2

df = pd.read_csv(file2, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


# f, ax = plt.subplots(1)
ax.scatter(df['Iter'], df['Errmean'],color='gray', marker=m3, s = ms, label='WBFE n=992', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker=m4, s = ms, label='FTFE  n=1000', alpha=alph)
# ax.scatter(df['Iter'], df['Errmean'],color='grey', marker='.', label= 'WBFE n=482', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker='.', label='FTFE  n=500', alpha=alph)
# print df 

ax.set_xlabel('Epochs')
ax.set_ylabel('Training Misfit $M$')
ax.set_xlim([0,8000])
ax.set_ylim([0, 0.3])
ax.set_title('Training Convergence, global, [20,60]')
plt.legend()
plt.grid()

f.savefig(outfile)


file = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/3g*.csv'
outfile = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/3convergenceg.png'
file1 = glob.glob(file)[1]
print file1
print glob.glob(file)
df = pd.read_csv(file1, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


f, ax = plt.subplots(1)
ax.scatter(df['Iter'], df['Errmean'],color='black', marker=m1, s = ms, label= 'WBFE n=394', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker=m2, s = ms, label='FTFE  n=400', alpha=alph)
# ax.scatter(df['Iter'], df['Errmean'],color='black', marker='.', label='WBFE n=193', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker='.', label='FTFE  n=200', alpha=alph)

# print df 

file2 = glob.glob(file)[0]
print file2

df = pd.read_csv(file2, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


# f, ax = plt.subplots(1)
ax.scatter(df['Iter'], df['Errmean'],color='gray', marker=m3, s = ms, label='WBFE n=992', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker=m4, s = ms, label='FTFE  n=1000', alpha=alph)
# ax.scatter(df['Iter'], df['Errmean'],color='grey', marker='.', label= 'WBFE n=482', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker='.', label='FTFE  n=500', alpha=alph)
# print df 

ax.set_xlabel('Epochs')
ax.set_ylabel('Training Misfit $M$')
ax.set_xlim([0,8000])
ax.set_ylim([0, 0.3])
ax.set_title('Training Convergence, global, [60]')
plt.legend()
plt.grid()

f.savefig(outfile)





# file = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/4g*.csv'
# outfile = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/4convergenceg.png'
# file1 = glob.glob(file)[1]
# print file1
# print glob.glob(file)
# df = pd.read_csv(file1, sep='\t')
# df2 = df.loc[df['ntype']=='ft']
# df = df.loc[df['ntype']=='extra']

# # df2 = df.loc[df['ntype']=='ft'].copy()


# f, ax = plt.subplots(1)
# ax.scatter(df['Iter'], df['Errmean'],color='black', marker='.', label= 'WBFE n=394', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker='.', label='FTFE  n=400', alpha=alph)
# # ax.scatter(df['Iter'], df['Errmean'],color='black', marker='.', label='WBFE n=193', alpha=alph)
# # ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker='.', label='FTFE  n=200', alpha=alph)

# # print df 

# file2 = glob.glob(file)[0]
# print file2

# df = pd.read_csv(file2, sep='\t')
# df2 = df.loc[df['ntype']=='ft']
# df = df.loc[df['ntype']=='extra']

# # df2 = df.loc[df['ntype']=='ft'].copy()


# # f, ax = plt.subplots(1)
# ax.scatter(df['Iter'], df['Errmean'],color='gray', marker='.', label='WBFE n=992', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker='.', label='FTFE  n=1000', alpha=alph)
# # ax.scatter(df['Iter'], df['Errmean'],color='grey', marker='.', label= 'WBFE n=482', alpha=alph)
# # ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker='.', label='FTFE  n=500', alpha=alph)
# # print df 

# ax.set_xlabel('Epochs')
# ax.set_ylabel('Training Misfit $M$ (%)')
# ax.set_xlim([0,8000])
# ax.set_ylim([0, alph])
# ax.set_title('Training Convergence, global, [60,60]')
# plt.legend()
# plt.grid()

# f.savefig(outfile)




















file = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/a*.csv'
outfile = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/1convergencea.png'
file1 = glob.glob(file)[0]
print file1
print glob.glob(file)
df = pd.read_csv(file1, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


f, ax = plt.subplots(1)
# ax.scatter(df['Iter'], df['Errmean'],color='black', marker='.', label= 'WBFE n=394', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker='.', label='FTFE  n=400', alpha=alph)
ax.scatter(df['Iter'], df['Errmean'],color='black', marker=m1, s = ms, label='WBFE n=193', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker=m2, s = ms, label='FTFE  n=200', alpha=alph)

# print df 

file2 = glob.glob(file)[1]
print file2

df = pd.read_csv(file2, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


# f, ax = plt.subplots(1)
# ax.scatter(df['Iter'], df['Errmean'],color='gray', marker='.', label='WBFE n=992', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker='.', label='FTFE  n=1000', alpha=alph)
ax.scatter(df['Iter'], df['Errmean'],color='grey', marker=m3, s = ms, label= 'WBFE n=482', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker=m4, s = ms, label='FTFE  n=500', alpha=alph)
# print df 

ax.set_xlabel('Epochs')
ax.set_ylabel('Training Misfit $M$')
ax.set_xlim([0,8000])
ax.set_ylim([0, 0.3])
ax.set_title('Training Convergence, regional, [60,30]')
plt.legend()
plt.grid()

f.savefig(outfile)



file = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/2a*.csv'
outfile = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/2convergencea.png'
file1 = glob.glob(file)[0]
print file1
print glob.glob(file)
df = pd.read_csv(file1, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


f, ax = plt.subplots(1)
# ax.scatter(df['Iter'], df['Errmean'],color='black', marker='.', label= 'WBFE n=394', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker='.', label='FTFE  n=400', alpha=alph)
ax.scatter(df['Iter'], df['Errmean'],color='black', marker=m1, s = ms, label='WBFE n=193', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker=m2, s = ms, label='FTFE  n=200', alpha=alph)

# print df 

file2 = glob.glob(file)[1]
print file2

df = pd.read_csv(file2, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


# f, ax = plt.subplots(1)
# ax.scatter(df['Iter'], df['Errmean'],color='gray', marker='.', label='WBFE n=992', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker='.', label='FTFE  n=1000', alpha=alph)
ax.scatter(df['Iter'], df['Errmean'],color='grey', marker=m3, label= 'WBFE n=482', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker=m4, label='FTFE  n=500', alpha=alph)
# print df 

ax.set_xlabel('Epochs')
ax.set_ylabel('Training Misfit $M$')
ax.set_xlim([0,8000])
ax.set_ylim([0, 0.3])
ax.set_title('Training Convergence, regional, [20,60]')
plt.legend()
plt.grid()

f.savefig(outfile)


file = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/3a*.csv'
outfile = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/3convergencea.png'
file1 = glob.glob(file)[0]
print file1
print glob.glob(file)
df = pd.read_csv(file1, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


f, ax = plt.subplots(1)
# ax.scatter(df['Iter'], df['Errmean'],color='black', marker='.', label= 'WBFE n=394', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker='.', label='FTFE  n=400', alpha=alph)
ax.scatter(df['Iter'], df['Errmean'],color='black', marker=m1, s = ms, label='WBFE n=193', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker=m2, s = ms, label='FTFE  n=200', alpha=alph)

# print df 

file2 = glob.glob(file)[1]
print file2

df = pd.read_csv(file2, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


# f, ax = plt.subplots(1)
# ax.scatter(df['Iter'], df['Errmean'],color='gray', marker='.', label='WBFE n=992', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker='.', label='FTFE  n=1000', alpha=alph)
ax.scatter(df['Iter'], df['Errmean'],color='grey', marker=m3, s = ms, label= 'WBFE n=482', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker=m4, s = ms, label='FTFE  n=500', alpha=alph)
# print df 

ax.set_xlabel('Epochs')
ax.set_ylabel('Training Misfit $M$')
ax.set_xlim([0,8000])
ax.set_ylim([0, 0.3])
ax.set_title('Training Convergence, regional, [60]')
plt.legend()
plt.grid()

f.savefig(outfile)





file = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/4a*.csv'
outfile = '/home/patrick/1Thesis/nFINAL/RESULTS/nn/convergence/4convergencea.png'
file1 = glob.glob(file)[0]
print file1
print glob.glob(file)
df = pd.read_csv(file1, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


f, ax = plt.subplots(1)
# ax.scatter(df['Iter'], df['Errmean'],color='black', marker='.', label= 'WBFE n=394', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker='.', label='FTFE  n=400', alpha=alph)
ax.scatter(df['Iter'], df['Errmean'],color='black', marker=m1, s = ms, label='WBFE n=193', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='dimgrey', marker=m2, s = ms, label='FTFE  n=200', alpha=alph)

# print df 

file2 = glob.glob(file)[1]
print file2

df = pd.read_csv(file2, sep='\t')
df2 = df.loc[df['ntype']=='ft']
df = df.loc[df['ntype']=='extra']

# df2 = df.loc[df['ntype']=='ft'].copy()


# f, ax = plt.subplots(1)
# ax.scatter(df['Iter'], df['Errmean'],color='gray', marker='.', label='WBFE n=992', alpha=alph)
# ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker='.', label='FTFE  n=1000', alpha=alph)
ax.scatter(df['Iter'], df['Errmean'],color='grey', marker=m3,s = ms,  label= 'WBFE n=482', alpha=alph)
ax.scatter(df2['Iter'], df2['Errmean'],color='slategrey', marker=m4,s = ms,  label='FTFE  n=500', alpha=alph)
# print df 

ax.set_xlabel('Epochs')
ax.set_ylabel('Training Misfit $M$')
ax.set_xlim([0,8000])
ax.set_ylim([0, 0.3])
ax.set_title('Training Convergence, regional, [60,60]')
plt.legend()
plt.grid()

f.savefig(outfile)



# plt.show()
