import numpy as np
import glob
import obspy
import sys
import os
import matplotlib.pyplot as plt
x = os.path.abspath('..')
sys.path.append(x)
import gc
from scipy import interpolate

from pathmaker import pathmaker
from features import featureextracter_load, featureextracter


numfeat=2

f = featureextracter_load('all', project ='/a11c/', number_of_features=numfeat, period1 =1, pertrue=False)
for i in [20,2]:
    if i == 2: 
        q = '[1,0]'
        n = 'good'
    else:
        q = '[0,1]'
        n='bad'
    fig = plt.figure(figsize=(10,5))
    plt.rcParams['xtick.labelsize'] = 14
    plt.rcParams['ytick.labelsize'] = 14
    trace = f.stream_[i]
    plt.plot(trace, c='black')
    plt.xlim(0,2700)
    plt.title('Normalized Correlation '+f.corrlist[i].split('1')[0]+'   Class '+q, size=14)
    plt.ylim(-1.1, 1.1)
    plt.xlabel('Lag Time [s]',size=14)
    plt.ylabel('Normalized Amplitude',size=14)
    plt.tight_layout()
    plt.savefig('/home/patrick/Desktop/regional_'+n+'.pdf',dpi=600)

f = featureextracter_load('all', project ='/glob2/', number_of_features=numfeat, period1 =1, pertrue=False)
for i in [20,2]:
    if i == 2: 
        q = '[1,0]'
        n = 'good'
    else:
        q = '[0,1]'
        n='bad'
    fig = plt.figure(figsize=(10,5))
    plt.rcParams['xtick.labelsize'] = 14
    plt.rcParams['ytick.labelsize'] = 14
    trace = f.stream_[i]
    plt.plot(trace, c='black')
    plt.xlim(0,7200)
    plt.title('Normalized Correlation '+f.corrlist[i].split('1')[0]+'   Class '+q, size=14)
    plt.ylim(-1.1, 1.1)
    plt.xlabel('Lag Time [s]',size=14)
    plt.ylabel('Normalized Amplitude',size=14)
    plt.tight_layout()
    plt.savefig('/home/patrick/Desktop/global_'+n+'.pdf',dpi=600)

# plt.show()

# for plotting only one section: 
# \includegraphics[width=13cm, trim=20mm 204mm 5mm 30mm, clip]{images/s_sections_glob.pdf}\\
# \includegraphics[width=13cm, trim=20mm 0mm 5mm 344mm, clip]{images/s_sections_glob.pdf}
