import glob, os
import numpy as np 
import warnings
import pandas as pd
# import matplotlib
# import matplotlib.pyplot as plt
# from pandas.tools.plotting import table
# from pylab import *

# matplotlib.style.use('ggplot')

global _dir
_dir = '/home/patrick/1Thesis/wavemanipulation/2classification/classified/a11/backup'

warnings.simplefilter('default')
def read_c(name = 'Patrick'):
    name = glob.glob(_dir+'/*'+name+'.np*')[0]
    name = np.load(name)
    return name


def splitter_1(i):
    i = i.split('--')[0]+'-'+i.split('--')[-1].split('.tomo')[0].split('.')[1]+'.'+i.split('--')[-1].split('.tomo')[0].split('.')[0]+\
        '.'+i.split('--')[-1].split('.tomo')[0].split('.')[2]+'.'+i.split('--')[-1].split('.tomo')[0].split('.')[3]
    return i


def splitter_2(i):
    i = i.split('.a11.SAC')[0]
    return i


user0 = read_c('Patrick')
user0 = user0[0:-1]

user1 = read_c('Laura')

user2 = read_c('Korbinian')

for i in user0:
    i[0] = splitter_2(i[0]).split('.1.')[0]

for i in user1:
    i[0] = splitter_2(i[0])

for i in user2: 
    i[0] = splitter_2(i[0])

l = []
which = []

p = pd.DataFrame(user0, index =user0[:,0])
p = p.drop_duplicates()
p.drop(p.columns[[0]], axis=1, inplace=True)
p.columns = ['p']


l = pd.DataFrame(user1, index =user1[:,0])
l = l.drop_duplicates()
l.drop(l.columns[[0]], axis=1, inplace=True)
l.columns = ['l']

k = pd.DataFrame(user2, index =user2[:,0])
k = k.drop_duplicates()
k.drop(k.columns[[0]], axis=1, inplace=True)
k.columns = ['k']

big = pd.concat([p,l,k], axis = 1)

big = big.convert_objects(convert_numeric=True)
big = big.fillna(0)

big['sums']=big['p']+big['l']+big['k']
big[['p','l','k', 'sums']] = big[['p','l','k', 'sums']].astype(int)

every = big[['p','l','k']].sum(axis=0)
y = big.count()
z = big[['sums']].as_matrix().T.flatten()

zz = np.bincount(z)



total = zip(np.unique(z), zz)
every = zip(['p','l','k'],every.as_matrix())
print '___________________________________________________\n'
print 'Total Files (how often good, count) \t', total
print 'Each classification (name, goodcount) \t', every
print '___________________________________________________\n'

plot1 = False
if plot1 == True: 
    data = big.copy()
    data.reset_index(drop=True, inplace=True)
    y = np.ceil(y[0]/2).astype(int)
    print data[0:y]
    fig = plt.figure()
    ax = fig.add_subplot(111)
    cmap = cm.get_cmap('gist_earth', 4)
    heatmap = ax.pcolormesh(data, cmap=cmap)
    plt.xticks(np.arange(0.5, len(big.columns),1), big.columns)
    ax.set_aspect(0.02, adjustable='box')
    ax.set_title('Classification Comparison')
    cbar = fig.colorbar(heatmap, ax=ax, ticks=[0,1,2,3], label='Number of "Good" classification')
    plt.show()















# for ii in range(len(user0)):
#     if user0[ii][0] != user1[ii][0]: 
#         wstring = 'There are some unaligned files in: '+str(user0[ii])+'...Please Check'
#         warnings.warn(wstring, stacklevel = 2)
#         break
#     if user0[ii][-1] == user1[ii][-1]:
#         l.append(0)
#     else: 
#         l.append(1)
#         which.append(user0[ii][0])

# print 'The error is:', (1-float(np.sum(l))/len(user0))*100, '%'










