from mpl_toolkits.basemap import Basemap
import numpy as np 
import glob
import os
# from obspy import read_inventory
import matplotlib.pyplot as plt
import pandas as pd


dir1 = '/home/patrick/ANTS/ANTS/a11/vals_xyz.txt'

image = Basemap(projection="ortho", lon_0=20, lat_0=5, resolution="c")
image.drawcoastlines()
# image.fillcontinents(color="moccasin", lake_color="deepskyblue")

# image.plot(x1, y1, "bo")

x = pd.read_csv(dir1, delim_whitespace=True, header=None)
# print x[[0]]
x.columns = ['x', 'y', 'z']

x[x['z'] > 0] = 1
x[x['z'] < 0] = 0

# x = x[np.abs(x['z']) > 1e-4]
# print 
xs = x['x'].as_matrix()
ys = x['y'].as_matrix()
zs = x['z'].as_matrix()

xx,yy = image(xs, ys)
image.scatter(xx,yy,c=zs)
# for i in range(len(xs)):
#     xx, yy = image(xs, ys)
#     image.plot(xx, yy, 'ro')
plt.colorbar()
plt.show()
# for i in x[[0]]: 
    # print i
