import numpy as np
import glob
import obspy
import sys
import os
import matplotlib.pyplot as plt
x = os.path.abspath('..')
sys.path.append(x)
import gc
from scipy import interpolate

from control.pathmaker import pathmaker
from control.features import featureextracter_load, featureextracter
from mydetails import info
# from FILES.plots.example1.plotter import do_plot

if __name__ == '__main__':
    projectin = input('Which project do you want to prepare the plot for? \n>>')
    _,_, project_true, _,_ = info()
    traces, features, _, _ = pathmaker('*.SAC', project=project_true)

    # numfeat=3
    # tracenumber = 30
    print("So far only supported for number of features to plot = 2")
    numfeat = int(input('Number of Features to plot (be aware of the number of feats you extracted): \n>> '))
    f = featureextracter_load('all', project =project_true, number_of_features=numfeat, period1 =1)
    i = 0
    for trace in f.corrlist:
        print(i,f.corrlist[i])
        i += 1
    tracenumber = int(input('The number of the trace you want to plot\n>> '))


    for ii in range(1,numfeat+1):
        f = featureextracter_load('all', project =project_true, number_of_features=numfeat, period1 =1)

        s = tracenumber
        e = tracenumber+1
        f.stream_ = f.stream_[s:e]
        f.reconstructions = f.reconstructions[s:e]
        f.corrlist = f.corrlist[s:e]

        reconbackup = f.reconstructions[0]
        f.features = f.features[s:e]
        f.ftfeatures = f.ftfeatures[s:e]
        # print reconbackup, f.reconstructions

        # print('\n\n\n')
        # print(f.corrlist[0])
        # print f.stream_
        # print f.reconstructions
        # print f.features
        # print f.reconstructions
        # print f.stream_[0].data
        printsaver = True
        # print(f.stream_[0].stats.sac.dist)

        namer = np.array(f.corrlist[0])

        ppath = '/Users/patrickpaitz/Ann/FILES/plots/'+projectin
        if printsaver ==True:
            np.save(ppath +'/features.npy', f.features)
            np.save(ppath +'/data.npy', f.stream_[0].data)
            np.save(ppath +'/reconstructions'+str(ii)+'.npy', f.reconstructions)
            np.save(ppath +'/names.npy', namer)
    # do_plot()
# plt.show()
# print f.features[0]
# fig9= f.plot_reconstructions2()
# fig9.savefig('/home/patrick/1Thesis/nFINAL/RESULTS/images_/fbwe1FT.pdf')
# plt.show()
# numfeat=2
# f = featureextracter_load('all', project ='/a11c/', number_of_features=numfeat, period1 =1, pertrue=False)
# f.stream_ = f.stream_[s:e]
# f.reconstructions = f.reconstructions[s:e]-reconbackup
# # f.reconstructions[f.reconstructions==0] = np.nan
# reconbackup2 = f.reconstructions[0]
# f.features = f.features[s:e]
# f.ftfeatures = f.ftfeatures[s:e]
# fig9 = f.plot_reconstructions2(f = fig9, axarr = ax, c ='green',foo ='1', reconbackup = None)
# fig9.savefig('/home/patrick/1Thesis/nFINAL/RESULTS/images_/fbwe2.pdf')
# numfeat=3
# f = featureextracter_load('all', project ='/a11c/', number_of_features=numfeat, period1 =1, pertrue=False)
# f.stream_ = f.stream_[s:e]
# f.reconstructions = f.reconstructions[s:e]-reconbackup-reconbackup2
# # f.reconstructions[f.reconstructions==0] = np.nan
# # reconbackup = f.reconstructions[0]-reconbackup-reconbackup2
# f.features = f.features[s:e]
# f.ftfeatures = f.ftfeatures[s:e]
# fig9,_ = f.plot_reconstructions2(f = fig9, axarr = ax, c ='blue',foo ='2', reconbackup = None)
# fig9.savefig('/home/patrick/1Thesis/nFINAL/RESULTS/images_/fbwe3.pdf')


# plt.show()
