import numpy as np 
import pandas as pd
import sys, glob, os
import matplotlib.pyplot as plt


if __name__ == '__main__':
    # ---------------------------------------------------------
    # ----------------------   USER INPUTS   ------------------
    file ='/Users/patrickpaitz/Phd/code_testing/ANN/RESULTS/example/convergence_test.csv'
    # ---------------------------------------------------------


    file1 = glob.glob(file)[0]
    df = pd.read_csv(file1, sep='\t')
    df2 = df.loc[df['ntype']=='ft']
    df = df.loc[df['ntype']=='extra']
    alph = 0.7
    ms = 40
    m1 = '.'
    m2 = '+'
    m3 = 4
    m4 = 5
    f, ax = plt.subplots(1)
    ax.scatter(df['Iter '], df['Errmean   '],color='black', marker=m1, s = ms, label= 'WBFE', alpha=alph)
    ax.scatter(df2['Iter '], df2['Errmean   '],color='dimgrey', marker=m2, s = ms,  label='FDFE', alpha=alph)
    ax.set_xlabel('Epochs')
    ax.set_ylabel('Training Misfit $M$')
    ax.set_title('Training Convergence')
    plt.legend()
    plt.grid()

    plt.show()
