
import numpy as np
import sys, os
import control.NN_class as NN
from control.transfer_functions import *
sys.path.append(os.path.abspath('..')+'/PREP/')
from control.NN_preparation import *

def testing(Filedir ='pleasespecify',  Filename=None, project_test='pleasespecify', ntype='extr', classifile='pleasespecify', qcrit=1.2, rank='aa', getgood = None):
    if Filename != None:
        BPN, weights = NN.load_network(Filename)
        BPN.weight_updater(weights)
        # print Filename
        # print weights
        if ntype=='extr':
            if getgood != True:
                s,q = call_network(project=project_test, classifile = classifile, rank=rank, getgood = getgood)
            else: 
                s, q, s2 = call_network(project=project_test, classifile = classifile, rank=rank, getgood = getgood)
        elif ntype =='ft': 
          s, q = call_FT_network(project=project_test, classifile = classifile, rank=rank, getgood = getgood)
        # samplenumber = len(s)
        out = BPN.predict(s)
        if getgood != True:
            return out, q
        else: 
            return out, q, s2
        # return out, q_q

    else:
        i = 0
        extrfiles = glob.glob(Filedir)
        # print(extrfiles)
        for Filename in extrfiles:
            if i == 0:
                out, q_q= testing(Filename=Filename, ntype=ntype,project_test=project_test, qcrit = qcrit, classifile=classifile, rank=rank, getgood=getgood )
                # 
                q_q = NN.out_quality(q_q, qcrit)
            else:
                tmp_out, tmp_q= testing(Filename=Filename, ntype=ntype,project_test=project_test, qcrit = qcrit, classifile=classifile, rank=rank,getgood=getgood)
                # 
                tmp_q = NN.out_quality(tmp_q, qcrit)
                out = out+tmp_out
                q_q   = q_q + tmp_q
            i = i+1

        q_q = q_q / i
        out = out /i
        q_out = NN.out_quality(out, qcrit)

        good_index = np.where(q_q==1)
        bad_index  = np.where(q_q==0)

        ngood = len(good_index[0])
        nbad  = len(bad_index[0])

        gerror = np.sum(np.abs(q_out[good_index]-q_q[good_index]))/ngood*100
        berror = np.sum(np.abs(q_out[bad_index]-q_q[bad_index]))/nbad*100
        t_error = np.sum(np.abs(q_out-q_q))/len(q_out)*100
        if getgood == True:
            return out, q_q
        else:
            return ngood, nbad, gerror, berror, t_error
