import numpy as np
import glob
import obspy
import sys
import os
# import matplotlib.pyplot as plt
x = os.path.abspath('..')
sys.path.append(x)
# import gc
# from scipy import interpolate

from control.pathmaker import pathmaker, pathmaker_plot
from control.features import featureextracter_load, featureextracter
from mydetails import info

if __name__ == '__main__':
    mass = False
    if mass == True:
        projectin = 'example'
    else:
        projectin = input('Which project do you want to prepare the plot for? \n>>')
    _,_, project_true, _,_ = info()
    traces, features, _, _ = pathmaker('*.SAC', project=project_true)

    # numfeat=3
    # tracenumber = 30
    print("So far only supported for number of iterations to plot = 2")
    numfeat = 2
    # numfeat = int(input('Number of Iterations to plot (be aware of the number of feats you extracted): \n>> '))
    f = featureextracter_load('all', project =project_true, number_of_features=numfeat, period1 =1)
    i = 0
    for trace in f.corrlist:
        print(i,f.corrlist[i])
        i += 1
    if mass == False:
        tracenumber = int(input('The number of the trace you want to plot\n>> '))


        for ii in range(1,numfeat+1):
            f = featureextracter_load('all', project =project_true, number_of_features=numfeat, period1 =1)

            s = tracenumber
            e = tracenumber+1
            f.stream_ = f.stream_[s:e]
            f.reconstructions = f.reconstructions[s:e]
            f.corrlist = f.corrlist[s:e]

            reconbackup = f.reconstructions[0]
            f.features = f.features[s:e]
            f.ftfeatures = f.ftfeatures[s:e]
            # print reconbackup, f.reconstructions

            # print('\n\n\n')
            # print(f.corrlist[0])
            # print f.stream_
            # print f.reconstructions
            # print f.features
            # print f.reconstructions
            # print f.stream_[0].data
            printsaver = True
            # print(f.stream_[0].stats.sac.dist)

            namer = np.array(f.corrlist[0])
            plotpath= pathmaker_plot()
            ppath = plotpath+projectin
            if printsaver ==True:
                f.stream_.write(ppath +'/ft/trace.SAC', format='SAC')
                np.save(ppath +'/ft/features.npy', f.ftfeatures)
                np.save(ppath +'/ft/data.npy', f.stream_[0].data)
                np.save(ppath +'/ft/reconstructions'+str(ii)+'.npy', f.reconstructions)
                np.save(ppath +'/ft/names.npy', namer)

    else:
        for tracenumber in [14, 15, 29, 22]:
            for ii in range(1, numfeat + 1):
                f = featureextracter_load('all', project=project_true, number_of_features=numfeat, period1=1)

                s = tracenumber
                e = tracenumber + 1
                f.stream_ = f.stream_[s:e]
                f.reconstructions = f.reconstructions[s:e]
                f.corrlist = f.corrlist[s:e]

                reconbackup = f.reconstructions[0]
                f.features = f.features[s:e]
                f.ftfeatures = f.ftfeatures[s:e]
                # print reconbackup, f.reconstructions

                # print('\n\n\n')
                # print(f.corrlist[0])
                # print f.stream_
                # print f.reconstructions
                # print f.features
                # print f.reconstructions
                # print f.stream_[0].data
                printsaver = True
                # print(f.stream_[0].stats.sac.dist)

                namer = np.array(f.corrlist[0])
                plotpath = pathmaker_plot()
                ppath = plotpath + projectin

                if printsaver == True:
                    f.stream_.write(ppath + '/ft/trace'+str(tracenumber)+'.SAC', format='SAC')
                    np.save(ppath + '/ft/features'+str(tracenumber)+'.npy', f.ftfeatures)
                    np.save(ppath + '/ft/data'+str(tracenumber)+'.npy', f.stream_[0].data)
                    np.save(ppath + '/ft/reconstructions'+str(tracenumber)+'' + str(ii) + '.npy', f.reconstructions)
                    np.save(ppath + '/ft/names'+str(tracenumber)+'.npy', namer)
